using System;
using Decal.Interop.Filters;

namespace Decal.Adapter.Wrappers;

public abstract class WorldObjectCollectionFilter
{
	internal abstract void ApplyFilter(WorldIterator wi);

	internal virtual void ApplyFilter(Decal.Interop.Filters.Vendor ven)
	{
		throw new NotImplementedException("This method has not beed implemented");
	}
}
